package Servidor;
import jogo.Mesa;


import java.io.IOException;
import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;
import java.util.logging.Level;
import java.util.logging.Logger;
import jogo.Carta;


public class Servidor {

    public static void main(String[] args) {

        Logica l = new Logica();

        try {

            ServerSocket servidor = new ServerSocket(1234, 2);
            ArrayList<ObjectOutputStream> saidaDosClientes = new ArrayList<ObjectOutputStream>();
            ArrayList<Jogador> j = new ArrayList<Jogador>();


            while (true) {

                Socket conexao = servidor.accept();

                Thread t = new ServidorThread(conexao, saidaDosClientes, l, j);
                t.start();

            }
        } catch (IOException ex) {
            Logger.getLogger(Servidor.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
}
