package jogo;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Random;

public class LogicaComputador {

    ArrayList<String> baralho;
    Random sementeAleatoria;
    private int coringa;
    private String umc = "1c";
    private String doisc = "2c";
    private String tresc = "3c";
    private String quatroc = "4c";
    private String cincoc = "5c";
    private String seisc = "6c";
    private String setec = "7c";
    private String dezc = "10c";
    private String onzec = "11c";
    private String dozec = "12c";
    private String trezec = "13c";
    private String ume = "1e";
    private String doise = "2e";
    private String trese = "3e";
    private String quatroe = "4e";
    private String cincoe = "5e";
    private String seise = "6e";
    private String setee = "7e";
    private String deze = "10e";
    private String onzee = "11e";
    private String dozee = "12e";
    private String trezee = "13e";
    private String ump = "1p";
    private String doisp = "2p";
    private String tresp = "3p";
    private String quatrop = "4p";
    private String cincop = "5p";
    private String seisp = "6p";
    private String setep = "7p";
    private String dezp = "10p";
    private String onzep = "11p";
    private String dozep = "12p";
    private String trezep = "13p";
    private String umo = "1o";
    private String doiso = "2o";
    private String treso = "3o";
    private String quatroo = "4o";
    private String cincoo = "5o";
    private String seiso = "6o";
    private String seteo = "7o";
    private String dezo = "10o";
    private String onzeo = "11o";
    private String dozeo = "12o";
    private String trezeo = "13o";

    public LogicaComputador() {

        this.baralho = new ArrayList<String>();
        this.sementeAleatoria = new Random();

        baralho.add(umc);
        baralho.add(doisc);
        baralho.add(tresc);
        baralho.add(quatroc);
        baralho.add(cincoc);
        baralho.add(seisc);
        baralho.add(setec);
        baralho.add(dezc);
        baralho.add(onzec);
        baralho.add(dozec);
        baralho.add(trezec);

        baralho.add(ume);
        baralho.add(doise);
        baralho.add(trese);
        baralho.add(quatroe);
        baralho.add(cincoe);
        baralho.add(seise);
        baralho.add(setee);
        baralho.add(deze);
        baralho.add(onzee);
        baralho.add(dozee);
        baralho.add(trezee);

        baralho.add(ump);
        baralho.add(doisp);
        baralho.add(tresp);
        baralho.add(quatrop);
        baralho.add(cincop);
        baralho.add(seisp);
        baralho.add(setep);
        baralho.add(dezp);
        baralho.add(onzep);
        baralho.add(dozep);
        baralho.add(trezep);

        baralho.add(umo);
        baralho.add(doiso);
        baralho.add(treso);
        baralho.add(quatroo);
        baralho.add(cincoo);
        baralho.add(seiso);
        baralho.add(seteo);
        baralho.add(dezo);
        baralho.add(onzeo);
        baralho.add(dozeo);
        baralho.add(trezeo);

        embaralhar();
        verificaCoringa();

    }

    public void embaralhar() {

        Collections.shuffle(baralho, this.sementeAleatoria);
    }

    public void verificaCoringa() {

        int b = 0;

        String a = this.baralho.get(6);
        if (a.endsWith("c")) {
            a = a.replace("c", "");
            b = Integer.parseInt(a);
            if (b == 7) {
                b = 10;
            } else if (b == 12) {
                b = 1;
            } else {
                b++;
            }

        } else if (a.endsWith("e")) {
            a = a.replace("e", "");
            b = Integer.parseInt(a);
            if (b == 7) {
                b = 10;
            } else if (b == 12) {
                b = 1;
            } else {
                b++;
            }
        } else if (a.endsWith("p")) {
            a = a.replace("p", "");
            b = Integer.parseInt(a);
            if (b == 7) {
                b = 10;
            } else if (b == 12) {
                b = 1;
            } else {
                b++;
            }
        } else {
            a = a.replace("o", "");
            b = Integer.parseInt(a);
            if (b == 7) {
                b = 10;
            } else if (b == 12) {
                b = 1;
            } else {
                b++;
            }
        }
        this.coringa = b;
    }

    //Verifica o ganhador da rodada.
    //Peso Coringa na ordem: Paus, Copas, Espadas e Ouro.
    //return 1 = jogador um ganhou rodada.
    //return 2 = jogador dois ganhou rodada.
    //return 0 = empate.
    //return 3 = erro no sistema.
    public int ganhadorRodada(String cartaJogUm, String cartaJogDois, int coringa) {

        int ganhador = 0;
        String jogUm = cartaJogUm.replace(cartaJogUm.substring(cartaJogUm.length() - 1), "");
        String jogDois = cartaJogDois.replace(cartaJogDois.substring(cartaJogDois.length() - 1), "");
        int jum = Integer.parseInt(jogUm);
        int jdois = Integer.parseInt(jogDois);

        //Verifica se é coringa
        //Se os dois forem coringa, chama o método para verificar qual é o maior.
        if (jum == coringa) {
            if (jdois == coringa) {
                ganhador = comparaCoringas(cartaJogUm, cartaJogDois);
                return ganhador;
            } else {
                return 1;
            }
        }
        if (jdois == coringa) {
            return 2;
        }

        //Verifica os números 3,2,1 que são um grande problema
        if (jum == 3 || jum == 2 || jum == 1) {
            if (jdois == 3 || jdois == 2 || jdois == 1) {
                if (jum > jdois) {
                    return 1;
                } else if (jdois > jum) {
                    return 2;
                } else {
                    return 0;
                }

            } else {
                return 1;
            }

        }

        if (jdois == 3 || jdois == 2 || jdois == 1) {
            return 2;

        }

        if (jum > jdois) {
            return 1;
        } else if (jdois > jum) {
            return 2;
        } else if (jum == jdois) {
            return 0;
        }


        return 3;
    }

    public int comparaCoringas(String coringaUm, String coringaDois) {

        String a = (coringaUm.substring(coringaUm.length() - 1)).trim();
        String b = (coringaDois.substring(coringaDois.length() - 1)).trim();


        if (a.equals("p")) {
            return 1;
        }
        if (b.equals("p")) {
            return 2;
        }
        if (a.equals("c")) {
            return 1;
        }
        if (b.equals("c")) {
            return 2;
        }
        if (a.equals("e")) {
            return 1;
        }
        if (b.equals("e")) {
            return 2;
        }
        return 3;
    }

    public String mandarCartasJogador() {

        String cartasSorteadas = baralho.get(0) + ":" + baralho.get(1) + ":" + baralho.get(2) + ":" + baralho.get(6);
        return cartasSorteadas;
    }

    public String mandarCartasComputador() {

        String c = baralho.get(3) + ":" + baralho.get(4) + ":" + baralho.get(5);
        return c;
    }

    public int primeiraRodada() {

        int vencedor = this.ganhadorRodada(baralho.get(0), baralho.get(3), coringa);
        System.out.println(vencedor);
        return vencedor;
    }

    public int segundaRodada() {

        int vencedor = this.ganhadorRodada(baralho.get(1), baralho.get(4), coringa);
        return vencedor;
    }

        public int terceiraRodada(){

        int vencedor = 0;
        vencedor = this.ganhadorRodada(baralho.get(2), baralho.get(5), coringa);

        if(vencedor == 0) ;
        return vencedor;
    }


}
