/*
 * Principal.java
 *
 * Created on 19/05/2011, 09:44:35
 * License: GPLv3
 */
package jogo;

import Servidor.Mensagem;
import java.awt.Graphics;
import java.util.ArrayList;

public class Principal extends javax.swing.JFrame {

    public int cont;
    public boolean voceCliente1 = false;
    public int rodada = 1;
    public Carta coringa;
    public Carta esquerda;
    public Carta meio;
    public Carta direita;
    public Carta oponenteDireita;
    public Carta oponenteEsquerda;
    public Carta oponenteMeio;
    LogicaComputador l = new LogicaComputador();
    public ArrayList<Carta> baralho;
    private int posicialInicialX;// coordenada X onde deve aparecer a 1a. carta
    private int posicialInicialY;// coordenada Y onde deve aparecer a 1a. carta
    private Mesa m;
    private int a, b, c;

    /** Creates new form Principal */
    public Principal() {
        this.posicialInicialX = 5;
        this.posicialInicialY = 5;
        this.baralho = new ArrayList<Carta>();

        this.esquerda = new Carta("fundoa.png", true);
        this.meio = new Carta("fundoa.png", true);
        this.direita = new Carta("fundoa.png", true);
        this.coringa = new Carta("fundoa.png", true);
        //this.oponenteMeio = new Carta("fundov.png", false);

        initComponents();
        this.setLocationRelativeTo(null);

    }

    /**
     * Cria as cartas e adiciona no baralho
     * Adaptado de:
     * Fred Swartz - February 19, 2007 - Placed in public domain.
     */
    public void criaBaralho() {


        //  String naipe = "oecp";
        //   String frente = "123456789qjk";
        int pos = 0;
        int px = this.posicialInicialX;
        int py = this.posicialInicialY;

        // for (int n = 0; n < naipe.length(); n++) {
        //for (int f = 0; f < frente.length(); f++) {
        // String caminho = "" + frente.charAt(f) + naipe.charAt(n) + ".png";
        //    // true para carta com o verso aparecendo
        // false para aparecer a frente da carta





        this.esquerda.desenharEsquerda();
        this.baralho.add(esquerda);


        this.meio.desenharMeio();
        this.baralho.add(meio);


        this.direita.desenharDireita();
        this.baralho.add(direita);


        this.coringa.desenharCoringa();
        this.baralho.add(coringa);


        //this.oponenteMeio.desenharCartaOponenteMeio();
        //this.baralho.add(oponenteMeio);


    }

    public void cartaOponenteAndaNaTela(String n) throws InterruptedException {


        this.oponenteMeio = new Carta("fundov.png", false);
        this.baralho.add(oponenteMeio);
        this.oponenteMeio.viraCarta(n);
        this.oponenteMeio.desenharCartaOponenteMeio();

        for (int i = 0; i < 5; i++) {

            this.oponenteMeio.andaCartaOponente(10);
            ((Mesa) this.jPMesa).repaint();
            Thread.sleep(50);
        }
    }

    public void deletarCartaOponenteDoArray(){

        this.baralho.remove(oponenteMeio);
    }


    public void adicionaCartas() throws InterruptedException {


        this.esquerda = new Carta("fundoa.png", true);
        this.meio = new Carta("fundoa.png", true);
        this.direita = new Carta("fundoa.png", true);
        this.coringa = new Carta("fundoa.png", true);
        //this.oponenteMeio = new Carta("fundov.png", false);

        //this.oponenteMeio.desenharCartaOponenteMeio();
        //this.baralho.add(oponenteMeio);

        this.baralho.add(esquerda);
        this.esquerda.desenharEsquerda();


        // faz cada carta andar na mesa sozinha. uma de cada vez

        for (int i = 0; i < 15; i++) {

            this.esquerda.andaCarta(20);
            ((Mesa) this.jPMesa).repaint();
            Thread.sleep(50);
        }

        this.meio.desenharMeio();
        this.baralho.add(meio);

        for (int i = 0; i < 15; i++) {

            this.meio.andaCarta(20);
            ((Mesa) this.jPMesa).repaint();
            Thread.sleep(50);
        }

        this.direita.desenharDireita();
        this.baralho.add(direita);
        for (int i = 0; i < 15; i++) {

            this.direita.andaCarta(20);
            ((Mesa) this.jPMesa).repaint();
            Thread.sleep(50);
        }

        this.coringa.desenharCoringa();
        this.baralho.add(coringa);

        //this.oponenteMeio.desenharCartaOponenteMeio();
        //this.baralho.add(oponenteMeio);


        ((Mesa) this.jPMesa).repaint();

    }

    public void receberCartasIniciais(String m) {

        jBTrucar.setEnabled(true);
        jBAumentar.setEnabled(false);
        jBCorrer.setEnabled(false);
        jBAceitar.setEnabled(false);

        String vetCarta[] = m.split(":");

        this.coringa.viraCarta(vetCarta[3]);
        this.esquerda.viraCarta(vetCarta[0]);
        this.meio.viraCarta(vetCarta[1]);
        this.direita.viraCarta(vetCarta[2]);


        ((Mesa) this.jPMesa).repaint();

    }

    public int getPosicialInicialX() {
        return posicialInicialX;
    }

    public int getPosicialInicialY() {
        return posicialInicialY;
    }

    public void adicionarLinha(String msg) {

        //jTAMensagens.insert(msg + "\n", 0);
        jTAMensagens.append(msg + "\n");

    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jDialog1 = new javax.swing.JDialog();
        jDialog2 = new javax.swing.JDialog();
        jPMesa = new Mesa(this, this.baralho);
        jPLateral = new javax.swing.JPanel();
        jBConectar = new javax.swing.JButton();
        jTFNome = new javax.swing.JTextField();
        jSeparator1 = new javax.swing.JSeparator();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTAMensagens = new javax.swing.JTextArea();
        jBEnviarEsquerda = new javax.swing.JButton();
        jBEnviarMeio = new javax.swing.JButton();
        jBEnviarDireita = new javax.swing.JButton();
        jLabel4 = new javax.swing.JLabel();
        jLJog1 = new javax.swing.JLabel();
        jLJog2 = new javax.swing.JLabel();
        jLPontosJog1 = new javax.swing.JLabel();
        jLPontosJog2 = new javax.swing.JLabel();
        jBTrucar = new javax.swing.JButton();
        jBAceitar = new javax.swing.JButton();
        jBCorrer = new javax.swing.JButton();
        jBAumentar = new javax.swing.JButton();
        jSeparator2 = new javax.swing.JSeparator();
        jTFIp = new javax.swing.JTextField();
        jLabel5 = new javax.swing.JLabel();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu1 = new javax.swing.JMenu();
        jMenuItem3 = new javax.swing.JMenuItem();
        jMenuItem4 = new javax.swing.JMenuItem();
        jMenu2 = new javax.swing.JMenu();
        jMenuItem1 = new javax.swing.JMenuItem();
        jMenuItem2 = new javax.swing.JMenuItem();

        javax.swing.GroupLayout jDialog1Layout = new javax.swing.GroupLayout(jDialog1.getContentPane());
        jDialog1.getContentPane().setLayout(jDialog1Layout);
        jDialog1Layout.setHorizontalGroup(
            jDialog1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 400, Short.MAX_VALUE)
        );
        jDialog1Layout.setVerticalGroup(
            jDialog1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 300, Short.MAX_VALUE)
        );

        javax.swing.GroupLayout jDialog2Layout = new javax.swing.GroupLayout(jDialog2.getContentPane());
        jDialog2.getContentPane().setLayout(jDialog2Layout);
        jDialog2Layout.setHorizontalGroup(
            jDialog2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 400, Short.MAX_VALUE)
        );
        jDialog2Layout.setVerticalGroup(
            jDialog2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 300, Short.MAX_VALUE)
        );

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("JTrucoOO - Jogo de Cartas");
        setBackground(new java.awt.Color(1, 1, 1));
        setResizable(false);

        jPMesa.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        javax.swing.GroupLayout jPMesaLayout = new javax.swing.GroupLayout(jPMesa);
        jPMesa.setLayout(jPMesaLayout);
        jPMesaLayout.setHorizontalGroup(
            jPMesaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 548, Short.MAX_VALUE)
        );
        jPMesaLayout.setVerticalGroup(
            jPMesaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 613, Short.MAX_VALUE)
        );

        jPLateral.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jBConectar.setText("Conectar");
        jBConectar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jBConectarActionPerformed(evt);
            }
        });

        jTFNome.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTFNomeActionPerformed(evt);
            }
        });

        jLabel1.setText("Seu Nome:");

        jLabel2.setText("JOGAR");

        jLabel3.setText("INFO:");

        jTAMensagens.setColumns(20);
        jTAMensagens.setRows(5);
        jScrollPane1.setViewportView(jTAMensagens);

        jBEnviarEsquerda.setText("Carta Esquerda ");
        jBEnviarEsquerda.setEnabled(false);
        jBEnviarEsquerda.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jBEnviarEsquerdaActionPerformed(evt);
            }
        });

        jBEnviarMeio.setText("Carta do Meio");
        jBEnviarMeio.setEnabled(false);
        jBEnviarMeio.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jBEnviarMeioActionPerformed(evt);
            }
        });

        jBEnviarDireita.setText("Carta Direita");
        jBEnviarDireita.setEnabled(false);
        jBEnviarDireita.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jBEnviarDireitaActionPerformed(evt);
            }
        });

        jLabel4.setForeground(new java.awt.Color(255, 0, 0));
        jLabel4.setText("PLACAR");

        jLJog1.setForeground(new java.awt.Color(255, 51, 51));
        jLJog1.setText("Jogador 1");

        jLJog2.setForeground(new java.awt.Color(255, 0, 0));
        jLJog2.setText("Jogador 2");

        jLPontosJog1.setText("00");

        jLPontosJog2.setText("00");

        jBTrucar.setText("Trucar");
        jBTrucar.setEnabled(false);
        jBTrucar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jBTrucarActionPerformed(evt);
            }
        });

        jBAceitar.setText("Aceitar");
        jBAceitar.setEnabled(false);
        jBAceitar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jBAceitarActionPerformed(evt);
            }
        });

        jBCorrer.setText("Correr");
        jBCorrer.setEnabled(false);
        jBCorrer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jBCorrerActionPerformed(evt);
            }
        });

        jBAumentar.setText("Aumentar");
        jBAumentar.setEnabled(false);
        jBAumentar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jBAumentarActionPerformed(evt);
            }
        });

        jTFIp.setText("127.0.0.1");

        jLabel5.setText("IP Servidor:");

        javax.swing.GroupLayout jPLateralLayout = new javax.swing.GroupLayout(jPLateral);
        jPLateral.setLayout(jPLateralLayout);
        jPLateralLayout.setHorizontalGroup(
            jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPLateralLayout.createSequentialGroup()
                .addGap(18, 18, 18)
                .addComponent(jBEnviarEsquerda)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jBEnviarMeio)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jBEnviarDireita, javax.swing.GroupLayout.DEFAULT_SIZE, 109, Short.MAX_VALUE)
                .addGap(20, 20, 20))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPLateralLayout.createSequentialGroup()
                .addGap(174, 174, 174)
                .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addComponent(jBAceitar, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 86, Short.MAX_VALUE)
                    .addComponent(jBTrucar, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, 86, Short.MAX_VALUE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addComponent(jBCorrer, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                    .addComponent(jBAumentar))
                .addGap(28, 28, 28))
            .addComponent(jSeparator2, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 373, Short.MAX_VALUE)
            .addGroup(jPLateralLayout.createSequentialGroup()
                .addGap(154, 154, 154)
                .addComponent(jLabel2, javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(176, Short.MAX_VALUE))
            .addGroup(jPLateralLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPLateralLayout.createSequentialGroup()
                        .addComponent(jSeparator1, javax.swing.GroupLayout.DEFAULT_SIZE, 353, Short.MAX_VALUE)
                        .addContainerGap())
                    .addGroup(jPLateralLayout.createSequentialGroup()
                        .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLabel1)
                            .addComponent(jLabel5))
                        .addGap(18, 18, 18)
                        .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jTFIp, javax.swing.GroupLayout.DEFAULT_SIZE, 78, Short.MAX_VALUE)
                            .addComponent(jTFNome, javax.swing.GroupLayout.DEFAULT_SIZE, 78, Short.MAX_VALUE))
                        .addGap(18, 18, 18)
                        .addComponent(jBConectar, javax.swing.GroupLayout.PREFERRED_SIZE, 161, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(31, 31, 31))))
            .addGroup(jPLateralLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel3, javax.swing.GroupLayout.PREFERRED_SIZE, 142, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(221, Short.MAX_VALUE))
            .addGroup(jPLateralLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 320, Short.MAX_VALUE)
                .addGap(43, 43, 43))
            .addGroup(jPLateralLayout.createSequentialGroup()
                .addGap(22, 22, 22)
                .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPLateralLayout.createSequentialGroup()
                        .addComponent(jLJog2)
                        .addGap(18, 18, 18)
                        .addComponent(jLPontosJog2))
                    .addGroup(jPLateralLayout.createSequentialGroup()
                        .addComponent(jLJog1)
                        .addGap(18, 18, 18)
                        .addComponent(jLPontosJog1)))
                .addContainerGap(273, Short.MAX_VALUE))
            .addGroup(jPLateralLayout.createSequentialGroup()
                .addGap(45, 45, 45)
                .addComponent(jLabel4)
                .addContainerGap(289, Short.MAX_VALUE))
        );
        jPLateralLayout.setVerticalGroup(
            jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPLateralLayout.createSequentialGroup()
                .addComponent(jLabel2)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(jPLateralLayout.createSequentialGroup()
                        .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jTFNome, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel1))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jTFIp, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(jLabel5))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED))
                    .addGroup(jPLateralLayout.createSequentialGroup()
                        .addComponent(jBConectar, javax.swing.GroupLayout.PREFERRED_SIZE, 44, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(8, 8, 8)))
                .addComponent(jSeparator1, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel3)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 97, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 133, Short.MAX_VALUE)
                .addComponent(jLabel4)
                .addGap(18, 18, 18)
                .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLJog1)
                    .addComponent(jLPontosJog1))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jLJog2)
                    .addComponent(jLPontosJog2))
                .addGap(47, 47, 47)
                .addComponent(jSeparator2, javax.swing.GroupLayout.PREFERRED_SIZE, 10, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jBTrucar)
                    .addComponent(jBAumentar))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jBAceitar)
                    .addComponent(jBCorrer))
                .addGap(29, 29, 29)
                .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jBEnviarEsquerda)
                    .addComponent(jBEnviarMeio)
                    .addComponent(jBEnviarDireita))
                .addContainerGap())
        );

        jMenu1.setText("Jogo");

        jMenuItem3.setText("Jogar em rede");
        jMenuItem3.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                jMenuItem3MouseClicked(evt);
            }
        });
        jMenu1.add(jMenuItem3);

        jMenuItem4.setText("Sair");
        jMenu1.add(jMenuItem4);

        jMenuBar1.add(jMenu1);

        jMenu2.setText("Ajuda");

        jMenuItem1.setText("Manual");
        jMenu2.add(jMenuItem1);

        jMenuItem2.setText("Sobre");
        jMenuItem2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenuItem2ActionPerformed(evt);
            }
        });
        jMenu2.add(jMenuItem2);

        jMenuBar1.add(jMenu2);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPMesa, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jPLateral, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPMesa, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPLateral, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

   private void jBConectarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jBConectarActionPerformed

       if (conectado == false) {

           ct = new ClienteThread(this, jTFNome.getText(), m, jTFIp.getText());
           ct.start();
           jTFIp.setEnabled(false);
           jTFNome.setEnabled(false);
           jBConectar.setEnabled(false);
           conectado = true;

       }
   }//GEN-LAST:event_jBConectarActionPerformed

    public void redesenharMesa() {

        ((Mesa) this.jPMesa).repaint();
    }

   private void jMenuItem3MouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_jMenuItem3MouseClicked
   }//GEN-LAST:event_jMenuItem3MouseClicked

   private void jTFNomeActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTFNomeActionPerformed
       // TODO add your handling code here:
   }//GEN-LAST:event_jTFNomeActionPerformed

   private void jBEnviarEsquerdaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jBEnviarEsquerdaActionPerformed



       this.baralho.remove(esquerda);

       jBEnviarEsquerda.setEnabled(false);
       jBEnviarMeio.setEnabled(false);
       jBEnviarDireita.setEnabled(false);

       String m = this.esquerda.getNomeArqImagem();

       System.out.println(m);
       ct.enviarMensagem(new Mensagem(121, m));


       ((Mesa) this.jPMesa).repaint();


   }//GEN-LAST:event_jBEnviarEsquerdaActionPerformed

   private void jBEnviarMeioActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jBEnviarMeioActionPerformed


       this.baralho.remove(meio);

       jBEnviarEsquerda.setEnabled(false);
       jBEnviarMeio.setEnabled(false);
       jBEnviarDireita.setEnabled(false);


       String n = this.meio.getNomeArqImagem();

       System.out.println(n);
       ct.enviarMensagem(new Mensagem(121, n));



       ((Mesa) this.jPMesa).repaint();



   }//GEN-LAST:event_jBEnviarMeioActionPerformed

   private void jBEnviarDireitaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jBEnviarDireitaActionPerformed


       this.baralho.remove(direita);

       jBEnviarEsquerda.setEnabled(false);
       jBEnviarMeio.setEnabled(false);
       jBEnviarDireita.setEnabled(false);

       String o = this.direita.getNomeArqImagem();

       System.out.println(o);
       ct.enviarMensagem(new Mensagem(121, o));

       ((Mesa) this.jPMesa).repaint();


   }//GEN-LAST:event_jBEnviarDireitaActionPerformed

   private void jMenuItem2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenuItem2ActionPerformed


       Sobre sobre = new Sobre(this, rootPaneCheckingEnabled);
       sobre.setVisible(true);

   }//GEN-LAST:event_jMenuItem2ActionPerformed

   private void jBTrucarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jBTrucarActionPerformed

       ct.trucar(new Mensagem(900, ""));
       ct.desabilitaBotaoCartas();
       jBTrucar.setEnabled(false);
   }//GEN-LAST:event_jBTrucarActionPerformed

   private void jBAceitarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jBAceitarActionPerformed


       ct.aceitar(new Mensagem(901, ""));
       jBAceitar.setEnabled(false);
   }//GEN-LAST:event_jBAceitarActionPerformed

   private void jBCorrerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jBCorrerActionPerformed

       jBCorrer.setEnabled(false);
       ct.correr(new Mensagem(902, ""));
   }//GEN-LAST:event_jBCorrerActionPerformed

   private void jBAumentarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jBAumentarActionPerformed

       ct.correr(new Mensagem(903, ""));
   }//GEN-LAST:event_jBAumentarActionPerformed
    private boolean conectado = false;
    private ClienteThread ct;

    /* public void receberCartasJogador() {

    String m = l.mandarCartasJogador();

    String vetCarta[] = m.split(":");

    //desenha cartas do jogador na mesa
    coringa.viraCarta(vetCarta[3]);
    esquerda.viraCarta(vetCarta[0]);
    meio.viraCarta(vetCarta[1]);
    direita.viraCarta(vetCarta[2]);
    ((Mesa) this.jPMesa).repaint();


    String c = l.mandarCartasComputador();
    String vetCartaComp[] = c.split(":");
    // desenha tambem as cartas do computador e deixa elas viradas
    oponenteEsquerda.viraCarta(vetCartaComp[0]);
    oponenteEsquerda.virar();

    oponenteDireita.viraCarta(vetCartaComp[1]);
    oponenteDireita.virar();

    oponenteMeio.viraCarta(vetCartaComp[2]);
    oponenteMeio.virar();

    }*/
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {

            @Override
            public void run() {
                new Principal().setVisible(true);
            }
        });
    }

    public void voceCliente1(boolean n) {

        this.voceCliente1 = n;
    }

    public void setNomeJog1(String n) {

        jLJog1.setText(n);
    }

    public void setNomeJog2(String n) {

        jLJog2.setText(n);
    }

    public void setPontosJog1(String n) {

        jLPontosJog1.setText(n);
    }

    public void setPontosJog2(String n) {

        jLPontosJog2.setText(n);
    }

    public void virarCartaOponente() {

        this.oponenteMeio = new Carta("fundov.png", false);
        this.oponenteMeio.desenharCartaOponenteMeio();
        this.baralho.add(oponenteMeio);

    }

    public void limpaMesa() {

        this.baralho.remove(oponenteMeio);
        this.baralho.remove(esquerda);
        this.baralho.remove(meio);
        this.baralho.remove(direita);
        this.baralho.remove(coringa);

        this.esquerda = null;
        this.direita = null;
        this.meio = null;
        this.oponenteMeio = null;
        this.coringa = null;

        ((Mesa) this.jPMesa).repaint();
    }

    public void desabilitaBotoesTruco() {

        jBTrucar.setEnabled(false);
        jBAumentar.setEnabled(false);
        jBAceitar.setEnabled(false);
        jBCorrer.setEnabled(false);
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    public javax.swing.JButton jBAceitar;
    public javax.swing.JButton jBAumentar;
    private javax.swing.JButton jBConectar;
    public javax.swing.JButton jBCorrer;
    public javax.swing.JButton jBEnviarDireita;
    public javax.swing.JButton jBEnviarEsquerda;
    public javax.swing.JButton jBEnviarMeio;
    public javax.swing.JButton jBTrucar;
    private javax.swing.JDialog jDialog1;
    private javax.swing.JDialog jDialog2;
    private javax.swing.JLabel jLJog1;
    private javax.swing.JLabel jLJog2;
    private javax.swing.JLabel jLPontosJog1;
    private javax.swing.JLabel jLPontosJog2;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenu jMenu2;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuItem jMenuItem1;
    private javax.swing.JMenuItem jMenuItem2;
    private javax.swing.JMenuItem jMenuItem3;
    private javax.swing.JMenuItem jMenuItem4;
    private javax.swing.JPanel jPLateral;
    private javax.swing.JPanel jPMesa;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JSeparator jSeparator2;
    private javax.swing.JTextArea jTAMensagens;
    private javax.swing.JTextField jTFIp;
    private javax.swing.JTextField jTFNome;
    // End of variables declaration//GEN-END:variables
}
